MissingResourceException (Java Platform SE 8 )
Keywords: java.util.MissingResourceException class
Date: 2016-07-28

compact1, compact2, compact3
java.util

## Class MissingResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.MissingResourceException

- All Implemented Interfaces:
    Serializable

      public class MissingResourceException
      extends RuntimeException

  Signals that a resource is missing.
  Since:
    JDK1.1
  See Also:
    `Exception`, `ResourceBundle`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MissingResourceException(String s, String className, String key)` Constructs a MissingResourceException with the specified information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Gets parameter passed by constructor.
    `String` | `getKey()` Gets parameter passed by constructor.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingResourceException

          public MissingResourceException(String s,
                                          String className,
                                          String key)

      Constructs a MissingResourceException with the specified information. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the detail message
        `className` - the name of the resource class
        `key` - the key for the missing resource.

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Gets parameter passed by constructor.
      Returns:
        the name of the resource class

    - #### getKey

          public String getKey()

      Gets parameter passed by constructor.
      Returns:
        the key for the missing resource

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.